summaryrefslogtreecommitdiffstats
path: root/network/gtmess
diff options
context:
space:
mode:
author Hannes Worst2011-08-11 18:19:30 +0200
committer Niels Horn2011-08-11 18:19:30 +0200
commit24f3d5db7c67d7e55813c1a75bca4bf0b17655dd (patch)
treeb11dd20150e8a8cb3ee285827c9c24c404d8511a /network/gtmess
parentb688fd0ed7ab8f251fa264731774b481e7bbdc89 (diff)
downloadslackbuilds-24f3d5db7c67d7e55813c1a75bca4bf0b17655dd.tar.gz
network/gtmess: Added (Console based MSN-client)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network/gtmess')
-rw-r--r--network/gtmess/README3
-rw-r--r--network/gtmess/gtmess.SlackBuild99
-rw-r--r--network/gtmess/gtmess.info10
-rw-r--r--network/gtmess/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/network/gtmess/README b/network/gtmess/README
new file mode 100644
index 0000000000..7dd1ebb185
--- /dev/null
+++ b/network/gtmess/README
@@ -0,0 +1,3 @@
+Gtmess is a lightweight console MSN Messenger client (only MSN-protocol)
+for Linux and other unix systems, (bsd, macos, solaris, irix, etc.) that
+conform to the POSIX standard.
diff --git a/network/gtmess/gtmess.SlackBuild b/network/gtmess/gtmess.SlackBuild
new file mode 100644
index 0000000000..12a4af8771
--- /dev/null
+++ b/network/gtmess/gtmess.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for gtmess
+
+# Copyright 2011 Hans Strijards E-mail:hannesworst@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gtmess
+VERSION=0.96
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/gtmess/gtmess.info b/network/gtmess/gtmess.info
new file mode 100644
index 0000000000..29e58bc5bc
--- /dev/null
+++ b/network/gtmess/gtmess.info
@@ -0,0 +1,10 @@
+PRGNAM="gtmess"
+VERSION="0.96"
+HOMEPAGE="http://gtmess.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gtmess/gtmess-0.96.tar.gz"
+MD5SUM="3dc2db3b94bbbfae37c9dea01122b0ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Hannes Worst"
+EMAIL="hannesworst@gmail.com"
+APPROVED="Niels Horn"
diff --git a/network/gtmess/slack-desc b/network/gtmess/slack-desc
new file mode 100644
index 0000000000..3a2ecf99d6
--- /dev/null
+++ b/network/gtmess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtmess: gtmess (Console based MSN-client)
+gtmess:
+gtmess: a console MSN Messenger client for Linux and other unix systems
+gtmess: (bsd, macos, solaris, irix, etc.) that conform to the POSIX standard.
+gtmess:
+gtmess:
+gtmess:
+gtmess:
+gtmess:
+gtmess:
+gtmess: Home: http://gtmess.sourceforge.net/